| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
cv::gapi::imgproc Namespace Reference

This namespace contains G-API Operation Types for OpenCV ImgProc module functionality. More...

## Namespaces
namespace | cpu
namespace | fluid
namespace | gpu
namespace | ocl

## Typedefs
using | ContMethod = ContourApproximationModes
using | GFindContoursOutput = std::tuple<GArray<GArray<Point>>,GArray<Vec4i>>
using | GMat2 = std::tuple<GMat,GMat>
using | GMat3 = std::tuple<GMat,GMat,GMat>
using | RetrMode = RetrievalModes

## Functions
| G_TYPED_KERNEL (GBayerGR2RGB,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.bayergr2rgb")
| G_TYPED_KERNEL (GBGR2Gray,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2gray")
| G_TYPED_KERNEL (GBGR2I420,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2i420")
| G_TYPED_KERNEL (GBGR2LUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2luv")
| G_TYPED_KERNEL (GBGR2RGB,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2rgb")
| G_TYPED_KERNEL (GBGR2YUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.bgr2yuv")
| G_TYPED_KERNEL (GBilateralFilter,< GMat(GMat, int, double, double, int)>, "org.opencv.imgproc.filters.bilateralfilter")
| G_TYPED_KERNEL (GBlur,< GMat(GMat, Size, Point, int, Scalar)>, "org.opencv.imgproc.filters.blur")
| G_TYPED_KERNEL (GBoundingRectMat,< GOpaque< Rect >(GMat)>, "org.opencv.imgproc.shape.boundingRectMat")
| G_TYPED_KERNEL (GBoundingRectVector32F,< GOpaque< Rect >(GArray< Point2f >)>, "org.opencv.imgproc.shape.boundingRectVector32F")
| G_TYPED_KERNEL (GBoundingRectVector32S,< GOpaque< Rect >(GArray< Point2i >)>, "org.opencv.imgproc.shape.boundingRectVector32S")
| G_TYPED_KERNEL (GBoxFilter,< GMat(GMat, int, Size, Point, bool, int, Scalar)>, "org.opencv.imgproc.filters.boxfilter")
| G_TYPED_KERNEL (GCanny,< GMat(GMat, double, double, int, bool)>, "org.opencv.imgproc.feature.canny")
| G_TYPED_KERNEL (GDilate,< GMat(GMat, Mat, Point, int, int, Scalar)>, "org.opencv.imgproc.filters.dilate")
| G_TYPED_KERNEL (GEqHist,< GMat(GMat)>, "org.opencv.imgproc.equalizeHist")
| G_TYPED_KERNEL (GErode,< GMat(GMat, Mat, Point, int, int, Scalar)>, "org.opencv.imgproc.filters.erode")
| G_TYPED_KERNEL (GFilter2D,< GMat(GMat, int, Mat, Point, Scalar, int, Scalar)>, "org.opencv.imgproc.filters.filter2D")
| G_TYPED_KERNEL (GFindContours,< GArray< GArray< Point > >(GMat, RetrMode, ContMethod, GOpaque< Point >)>, "org.opencv.imgproc.shape.findContours")
| G_TYPED_KERNEL (GFindContoursH,< GFindContoursOutput(GMat, RetrMode, ContMethod, GOpaque< Point >)>, "org.opencv.imgproc.shape.findContoursH")
| G_TYPED_KERNEL (GFindContoursHNoOffset,< GFindContoursOutput(GMat, RetrMode, ContMethod)>, "org.opencv.imgproc.shape.findContoursHNoOffset")
| G_TYPED_KERNEL (GFindContoursNoOffset,< GArray< GArray< Point > >(GMat, RetrMode, ContMethod)>, "org.opencv.imgproc.shape.findContoursNoOffset")
| G_TYPED_KERNEL (GFitLine2DMat,< GOpaque< Vec4f >(GMat, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine2DMat")
| G_TYPED_KERNEL (GFitLine2DVector32F,< GOpaque< Vec4f >(GArray< Point2f >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine2DVector32F")
| G_TYPED_KERNEL (GFitLine2DVector32S,< GOpaque< Vec4f >(GArray< Point2i >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine2DVector32S")
| G_TYPED_KERNEL (GFitLine2DVector64F,< GOpaque< Vec4f >(GArray< Point2d >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine2DVector64F")
| G_TYPED_KERNEL (GFitLine3DMat,< GOpaque< Vec6f >(GMat, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine3DMat")
| G_TYPED_KERNEL (GFitLine3DVector32F,< GOpaque< Vec6f >(GArray< Point3f >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine3DVector32F")
| G_TYPED_KERNEL (GFitLine3DVector32S,< GOpaque< Vec6f >(GArray< Point3i >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine3DVector32S")
| G_TYPED_KERNEL (GFitLine3DVector64F,< GOpaque< Vec6f >(GArray< Point3d >, DistanceTypes, double, double, double)>, "org.opencv.imgproc.shape.fitLine3DVector64F")
| G_TYPED_KERNEL (GGaussBlur,< GMat(GMat, Size, double, double, int, Scalar)>, "org.opencv.imgproc.filters.gaussianBlur")
| G_TYPED_KERNEL (GGoodFeatures,< cv::GArray< cv::Point2f >(GMat, int, double, double, Mat, int, bool, double)>, "org.opencv.imgproc.feature.goodFeaturesToTrack")
| G_TYPED_KERNEL (GI4202BGR,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.i4202bgr")
| G_TYPED_KERNEL (GI4202RGB,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.i4202rgb")
| G_TYPED_KERNEL (GLaplacian,< GMat(GMat, int, int, double, double, int)>, "org.opencv.imgproc.filters.laplacian")
| G_TYPED_KERNEL (GLUV2BGR,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.luv2bgr")
| G_TYPED_KERNEL (GMedianBlur,< GMat(GMat, int)>, "org.opencv.imgproc.filters.medianBlur")
| G_TYPED_KERNEL (GMorphologyEx,< GMat(GMat, MorphTypes, Mat, Point, int, BorderTypes, Scalar)>, "org.opencv.imgproc.filters.morphologyEx")
| G_TYPED_KERNEL (GNV12toBGR,< GMat(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12tobgr")
| G_TYPED_KERNEL (GNV12toBGRp,< GMatP(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12tobgrp")
| G_TYPED_KERNEL (GNV12toGray,< GMat(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12togray")
| G_TYPED_KERNEL (GNV12toRGB,< GMat(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12torgb")
| G_TYPED_KERNEL (GNV12toRGBp,< GMatP(GMat, GMat)>, "org.opencv.imgproc.colorconvert.nv12torgbp")
| G_TYPED_KERNEL (GResize,< GMat(GMat, Size, double, double, int)>, "org.opencv.imgproc.transform.resize")
| G_TYPED_KERNEL (GResizeP,< GMatP(GMatP, Size, int)>, "org.opencv.imgproc.transform.resizeP")
| G_TYPED_KERNEL (GRGB2Gray,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2gray")
| G_TYPED_KERNEL (GRGB2GrayCustom,< GMat(GMat, float, float, float)>, "org.opencv.imgproc.colorconvert.rgb2graycustom")
| G_TYPED_KERNEL (GRGB2HSV,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.rgb2hsv")
| G_TYPED_KERNEL (GRGB2I420,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2i420")
| G_TYPED_KERNEL (GRGB2Lab,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2lab")
| G_TYPED_KERNEL (GRGB2YUV,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.rgb2yuv")
| G_TYPED_KERNEL (GRGB2YUV422,< cv::GMat(cv::GMat)>, "org.opencv.imgproc.colorconvert.rgb2yuv422")
| G_TYPED_KERNEL (GSepFilter,< GMat(GMat, int, Mat, Mat, Point, Scalar, int, Scalar)>, "org.opencv.imgproc.filters.sepfilter")
| G_TYPED_KERNEL (GSobel,< GMat(GMat, int, int, int, int, double, double, int, Scalar)>, "org.opencv.imgproc.filters.sobel")
| G_TYPED_KERNEL (GYUV2BGR,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.yuv2bgr")
| G_TYPED_KERNEL (GYUV2RGB,< GMat(GMat)>, "org.opencv.imgproc.colorconvert.yuv2rgb")
| G_TYPED_KERNEL_M (GSobelXY,< GMat2(GMat, int, int, int, double, double, int, Scalar)>, "org.opencv.imgproc.filters.sobelxy")

## Detailed Description

This namespace contains G-API Operation Types for OpenCV ImgProc module functionality.

## Typedef Documentation

## ◆ ContMethod

using cv::gapi::imgproc::ContMethod = ContourApproximationModes

## ◆ GFindContoursOutput

using cv::gapi::imgproc::GFindContoursOutput = std::tuple<GArray<GArray<Point>>,GArray<Vec4i>>

## ◆ GMat2

using cv::gapi::imgproc::GMat2 = std::tuple<GMat,GMat>

## ◆ GMat3

using cv::gapi::imgproc::GMat3 = std::tuple<GMat,GMat,GMat>

## ◆ RetrMode

using cv::gapi::imgproc::RetrMode = RetrievalModes

## Function Documentation

## ◆ G_TYPED_KERNEL() [1/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBayerGR2RGB | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bayergr2rgb" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [2/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2Gray | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2gray" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [3/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2I420 | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2i420" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [4/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2LUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2luv" | )

## ◆ G_TYPED_KERNEL() [5/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2RGB | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2rgb" | )

## ◆ G_TYPED_KERNEL() [6/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBGR2YUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.bgr2yuv" | )

## ◆ G_TYPED_KERNEL() [7/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBilateralFilter | ,
|  | < GMat(GMat, int, double, double, int)> | ,
|  | "org.opencv.imgproc.filters.bilateralfilter" | )

## ◆ G_TYPED_KERNEL() [8/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBlur | ,
|  | < GMat(GMat, Size, Point, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.blur" | )

## ◆ G_TYPED_KERNEL() [9/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBoundingRectMat | ,
|  | < GOpaque< Rect >(GMat)> | ,
|  | "org.opencv.imgproc.shape.boundingRectMat" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [10/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBoundingRectVector32F | ,
|  | < GOpaque< Rect >(GArray< Point2f >)> | ,
|  | "org.opencv.imgproc.shape.boundingRectVector32F" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [11/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBoundingRectVector32S | ,
|  | < GOpaque< Rect >(GArray< Point2i >)> | ,
|  | "org.opencv.imgproc.shape.boundingRectVector32S" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [12/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GBoxFilter | ,
|  | < GMat(GMat, int, Size, Point, bool, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.boxfilter" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [13/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GCanny | ,
|  | < GMat(GMat, double, double, int, bool)> | ,
|  | "org.opencv.imgproc.feature.canny" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [14/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GDilate | ,
|  | < GMat(GMat, Mat, Point, int, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.dilate" | )

## ◆ G_TYPED_KERNEL() [15/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GEqHist | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.equalizeHist" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [16/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GErode | ,
|  | < GMat(GMat, Mat, Point, int, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.erode" | )

## ◆ G_TYPED_KERNEL() [17/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFilter2D | ,
|  | < GMat(GMat, int, Mat, Point, Scalar, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.filter2D" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [18/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFindContours | ,
|  | < GArray< GArray< Point > >(GMat, RetrMode, ContMethod, GOpaque< Point >)> | ,
|  | "org.opencv.imgproc.shape.findContours" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [19/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFindContoursH | ,
|  | < GFindContoursOutput(GMat, RetrMode, ContMethod, GOpaque< Point >)> | ,
|  | "org.opencv.imgproc.shape.findContoursH" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [20/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFindContoursHNoOffset | ,
|  | < GFindContoursOutput(GMat, RetrMode, ContMethod)> | ,
|  | "org.opencv.imgproc.shape.findContoursHNoOffset" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [21/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFindContoursNoOffset | ,
|  | < GArray< GArray< Point > >(GMat, RetrMode, ContMethod)> | ,
|  | "org.opencv.imgproc.shape.findContoursNoOffset" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [22/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine2DMat | ,
|  | < GOpaque< Vec4f >(GMat, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine2DMat" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [23/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine2DVector32F | ,
|  | < GOpaque< Vec4f >(GArray< Point2f >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine2DVector32F" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [24/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine2DVector32S | ,
|  | < GOpaque< Vec4f >(GArray< Point2i >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine2DVector32S" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [25/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine2DVector64F | ,
|  | < GOpaque< Vec4f >(GArray< Point2d >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine2DVector64F" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [26/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine3DMat | ,
|  | < GOpaque< Vec6f >(GMat, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine3DMat" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [27/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine3DVector32F | ,
|  | < GOpaque< Vec6f >(GArray< Point3f >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine3DVector32F" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [28/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine3DVector32S | ,
|  | < GOpaque< Vec6f >(GArray< Point3i >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine3DVector32S" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [29/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GFitLine3DVector64F | ,
|  | < GOpaque< Vec6f >(GArray< Point3d >, DistanceTypes, double, double, double)> | ,
|  | "org.opencv.imgproc.shape.fitLine3DVector64F" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [30/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GGaussBlur | ,
|  | < GMat(GMat, Size, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.gaussianBlur" | )

## ◆ G_TYPED_KERNEL() [31/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GGoodFeatures | ,
|  | < cv::GArray< cv::Point2f >(GMat, int, double, double, Mat, int, bool, double)> | ,
|  | "org.opencv.imgproc.feature.goodFeaturesToTrack" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [32/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GI4202BGR | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.i4202bgr" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [33/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GI4202RGB | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.i4202rgb" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [34/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GLaplacian | ,
|  | < GMat(GMat, int, int, double, double, int)> | ,
|  | "org.opencv.imgproc.filters.laplacian" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [35/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GLUV2BGR | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.luv2bgr" | )

## ◆ G_TYPED_KERNEL() [36/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GMedianBlur | ,
|  | < GMat(GMat, int)> | ,
|  | "org.opencv.imgproc.filters.medianBlur" | )

## ◆ G_TYPED_KERNEL() [37/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GMorphologyEx | ,
|  | < GMat(GMat, MorphTypes, Mat, Point, int, BorderTypes, Scalar)> | ,
|  | "org.opencv.imgproc.filters.morphologyEx" | )

## ◆ G_TYPED_KERNEL() [38/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toBGR | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12tobgr" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [39/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toBGRp | ,
|  | < GMatP(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12tobgrp" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [40/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toGray | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12togray" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [41/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toRGB | ,
|  | < GMat(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12torgb" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [42/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GNV12toRGBp | ,
|  | < GMatP(GMat, GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.nv12torgbp" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [43/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GResize | ,
|  | < GMat(GMat, Size, double, double, int)> | ,
|  | "org.opencv.imgproc.transform.resize" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [44/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GResizeP | ,
|  | < GMatP(GMatP, Size, int)> | ,
|  | "org.opencv.imgproc.transform.resizeP" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [45/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2Gray | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2gray" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [46/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2GrayCustom | ,
|  | < GMat(GMat, float, float, float)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2graycustom" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [47/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2HSV | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2hsv" | )

## ◆ G_TYPED_KERNEL() [48/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2I420 | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2i420" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [49/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2Lab | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2lab" | )

## ◆ G_TYPED_KERNEL() [50/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2YUV | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2yuv" | )

## ◆ G_TYPED_KERNEL() [51/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GRGB2YUV422 | ,
|  | < cv::GMat(cv::GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.rgb2yuv422" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [52/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GSepFilter | ,
|  | < GMat(GMat, int, Mat, Mat, Point, Scalar, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sepfilter" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [53/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GSobel | ,
|  | < GMat(GMat, int, int, int, int, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sobel" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [54/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GYUV2BGR | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.yuv2bgr" | )

## ◆ G_TYPED_KERNEL() [55/55]

cv::gapi::imgproc::G_TYPED_KERNEL | ( | GYUV2RGB | ,
|  | < GMat(GMat)> | ,
|  | "org.opencv.imgproc.colorconvert.yuv2rgb" | )

## ◆ G_TYPED_KERNEL_M()

cv::gapi::imgproc::G_TYPED_KERNEL_M | ( | GSobelXY | ,
|  | < GMat2(GMat, int, int, int, double, double, int, Scalar)> | ,
|  | "org.opencv.imgproc.filters.sobelxy" | )

Here is the call graph for this function: